package app

import (
	"github.com/gin-gonic/gin"
)

type DrainCloud struct {
	mux *gin.Engine
}

func New() *DrainCloud {
	mux := gin.Default()

	d := new(DrainCloud)

	authGroup := mux.Group("/auth")
	{
		authGroup.POST("/register", d.Register)
	}

	d.mux = mux

	return d
}

func (d *DrainCloud) Register(ctx *gin.Context) {

}
